using InABox.Core;
using System;
using System.Collections.Generic;
using System.Text;

namespace InABox.Rpc
{
    public class RpcReleaseNotesResult : IRpcCommandResult
    {
        public string ReleaseNotes { get; set; } = "";

        public void SerializeBinary(CoreBinaryWriter writer)
        {
            writer.Write(ReleaseNotes);
        }

        public void DeserializeBinary(CoreBinaryReader reader)
        {
            ReleaseNotes = reader.ReadString();
        }

        public string? FullDescription() => null;
    }
}
